Package org.bukkit.command

# Interface CommandExecutor

All Known Subinterfaces:
  `Plugin`, `TabExecutor`

All Known Implementing Classes:
  `JavaPlugin`, `PluginBase`

public interface CommandExecutor
Represents a class which contains a single method for executing commands

## Method Summary

Modifier and Type
Method
Description
`boolean`
`onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args)`
Executes the given command, returning its success.

## Method Details

### onCommand

boolean onCommand(@NotNull @NotNull CommandSender sender, @NotNull @NotNull Command command, @NotNull @NotNull String label, @NotNull @NotNull String[] args)
Executes the given command, returning its success.
If false is returned, then the "usage" plugin.yml entry for this command (if defined) will be sent to the player.

Parameters:
  `sender` - Source of the command
  `command` - Command which was executed
  `label` - Alias of the command which was used
  `args` - Passed command arguments
Returns:
  true if a valid command, otherwise false